/*
 * adc.h
 *
 *  Created on: Dec 8, 2025
 *      Author: user
 */

#ifndef INC_ADC_H_
#define INC_ADC_H_
#include "stm32f1xx_hal.h"
#define ADC_NUM_CHANNELS   5      // CH4..CH8
#define ADC_AVG_WINDOW     5      // 5 * 10ms = 50ms averaging window

void manageAdc(void);
void readAdc(void);
#endif /* INC_ADC_H_ */
